### Signal

# Gtk SpinButton::output

#### Declaration

    gboolean
    output (
      GtkSpinButton self,
      gpointer user_data
    )

#### Description [src]

Emitted to tweak the formatting of the value for display.

“`c // show leading zeros static gboolean on_output (GtkSpinButton spin, gpointer data) { GtkAdjustment adjustment; char *text; int value;

adjustment = gtk_spin_button_get_adjustment (spin); value = (int)gtk_adjustment_get_value (adjustment); text = g_strdup_printf (“%02d”, value); gtk_spin_button_set_text (spin, text): g_free (text);

return TRUE; } “`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the value has been displayed.